;===============================================
; Definitions of SFR for MC81F4104
; Release Date     : 2009.03.04.
; Revision No.     : 0.5
; Programmer       : jaesick.hwang@abov.co.kr
;
; Copyright (c) 2008, ABOV Semiconductor Ltd.
;   All rights reserved.
;
;  Redistribution and use in source and binary forms, with or without
;  modification, are permitted provided that the following conditions are met:
;
;  * Redistributions of source code must retain the above copyright
;    notice, this list of conditions and the following disclaimer.
;  * Redistributions in binary form must reproduce the above copyright
;    notice, this list of conditions and the following disclaimer in
;    the documentation and/or other materials provided with the
;    distribution.
;
; THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
; IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
; ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
; LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
; CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
; SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
; INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
; CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
; ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
; POSSIBILITY OF SUCH DAMAGE.
; 
;===============================================
R0         EQU      0C0h
  R07      EQU      7,R0
  R06      EQU      6,R0
  R05      EQU      5,R0
  R04      EQU      4,R0
  R03      EQU      3,R0
  R02      EQU      2,R0
  R01      EQU      1,R0
  R00      EQU      0,R0
R0CONH     EQU      0C6h
R0CONM     EQU      0C7h
R0CONL     EQU      0C8h
PUR0       EQU      0C9h
  PUR07    EQU      7,PUR0
  PUR06    EQU      6,PUR0
  PUR05    EQU      5,PUR0
  PUR04    EQU      4,PUR0
  PUR02    EQU      2,PUR0
  PUR01    EQU      1,PUR0
  PUR00    EQU      0,PUR0
EINT0      EQU      0CAh
ERQ0       EQU      0CCh
  EXT2IR   EQU      4,ERQ0
  EXT1IR   EQU      3,ERQ0
  EXT0IR   EQU      2,ERQ0
T2SCR      EQU      0D0h
  T2MS     EQU      5,T2SCR
  T2CC     EQU      4,T2SCR
T2DR       EQU      0D1h
T2CR       EQU      0D2h
T3SCR      EQU      0D3h
  T3MS     EQU      5,T3SCR
  T3CC     EQU      4,T3SCR
T3DR       EQU      0D4h
T3CR       EQU      0D5h
ADMR       EQU      0DDh
  SSBIT    EQU      7,ADMR
  EOC      EQU      6,ADMR
ADDRH      EQU      0DEh
ADDRL      EQU      0DFh
PWMSCR     EQU      0E2h
  POL2     EQU      7,PWMSCR
  PWMS     EQU      6,PWMSCR
PWMPDR     EQU      0E3h
  P0DH     EQU      3,PWMPDR
  P0DL     EQU      2,PWMPDR
  PPH      EQU      1,PWMPDR
  PPL      EQU      0,PWMPDR
PWM2DR     EQU      0E6h
IENH       EQU      0EAh
  T2MIE    EQU      3,IENH
  T2OVIE   EQU      2,IENH
  T3MIE    EQU      1,IENH
  T3OVIE   EQU      0,IENH	
IENL       EQU      0EBh
  WDTIE    EQU      2,IENL
  BTIE     EQU      0,IENL
IRQH       EQU      0ECh
  T2MIR    EQU      3,IRQH
  T2OVIR   EQU      2,IRQH
  T3MIR    EQU      1,IRQH
  T3OVIR   EQU      0,IRQH
IRQL       EQU      0EDh
  WDTIR    EQU      2,IRQL
  BTIR     EQU      0,IRQL
BTCR       EQU      0F1h
CKCTLR     EQU      0F2h
  WDTON    EQU      4,CKCTLR
  BTCL     EQU      3,CKCTLR  
PORC       EQU      0F3h
WDTR       EQU      0F4h
  WDTCL    EQU      7,WDTR
SSCR       EQU      0F5h
WDTSR      EQU      0F6h
WDTCR      EQU      0F7h
